#!/bin/bash

HOSTNAME=$(hostname)

if echo $HOSTNAME | grep -P "^\b(?:[A-Za-z][0-9A-Za-z-]{0,62})(?:\.(?:[0-9A-Za-z][0-9A-Za-z-]{0,62}))*(\.?|\b)$" &>/dev/null; then
    echo "{\"checkValue\": \"${HOSTNAME}\",\"checkStatus\": \"OK\", \"msg\": \"Hostname check done. No issue found.\"}"
else
    echo "{\"checkValue\": \"${HOSTNAME}\",\"checkStatus\": \"fail\", \"msg\": \"Hostname check FAILED. 1.不能以数字开头，大小写字母都可以，推荐使用小写字母;2.不能有除了 “-”和“.”之外的标点符号;3.不能包含空格\"}"
fi
